# https://ubazame.duckdns.org/tools/escape.html を参考にしました。
# ski.com、いつもありがとう！ --- >_<, 2023/11/14
import re
def escapeProjectName(projectName):
	res=projectName
	res=res.replace('-' ,"-h")
	res=res.replace('\\',"-b")
	res=res.replace('/' ,"-s")
	res=res.replace(':' ,"-c")
	res=res.replace('*' ,"-a")
	res=res.replace('?' ,"-q")
	res=res.replace('"' ,"-d")
	res=res.replace('<' ,"-l")
	res=res.replace('>' ,"-g")
	res=res.replace('|' ,"-v")
	return res
def unescapeProjectName(escapedProjectName):
	res=escapedProjectName
	res=res.replace("-v",'|' )
	res=res.replace("-g",'>' )
	res=res.replace("-l",'<' )
	res=res.replace("-d",'"' )
	res=res.replace("-q",'?' )
	res=res.replace("-a",'*' )
	res=res.replace("-c",':' )
	res=res.replace("-s",'/' )
	res=res.replace("-b",'\\')
	if re.findall(r"-[^h]", res):
		print("エラー: 不明なエスケープシーケンスです。")
		exit(-1)
	res=res.replace("-h",'-' )
	return res