from platform import system
from sys import maxsize
from os.path import abspath,dirname

from .utils import absjoin,PackageType
ROOT_DIR=absjoin(dirname(abspath(__file__)),"../../")
PACKAGE_INDEX_PATH=absjoin(ROOT_DIR,"packages/--packages.json")
CONFIG_PATH=absjoin(ROOT_DIR,"config.ini")
CHUNK_SIZE=1<<14
SYSTEM_IDENTIFIER={"Windows":"win","Darwin":"mac","Linux":"lin"}[system()]+("64"if maxsize > 2 ** 32 else"32")
DEFAULT_REGISTRY_PATH="https://github.com/ubazame-club/Iwashi_package_registry/raw/main/index.json"
SYSTEM_IDENTIFIER_DICT={
	PackageType.bin:SYSTEM_IDENTIFIER,
	PackageType.py:"py"
}
TIME_FORMAT="%Y/%m/%d %H:%M:%S.%f %z"
CACHE_MAX=99999999999999999999
CACHE_PATH=absjoin(ROOT_DIR,"tmp/cache")